diff -ur asterisk-1.4.22/apps/app_queue.c asterisk-1.4.22.unanswered_queue/apps/app_queue.c
--- asterisk-1.4.22/apps/app_queue.c	2008-08-29 14:34:17.000000000 -0300
+++ asterisk-1.4.22.unanswered_queue/apps/app_queue.c	2008-10-14 13:24:19.000000000 -0200
@@ -2907,8 +2907,13 @@
 			/* User exited by pressing a digit */
 			res = digit;
 		}
-		if (option_debug && res == -1)
-			ast_log(LOG_DEBUG, "%s: Nobody answered.\n", qe->chan->name);
+		if (res == -1) {
+			/* Post this CDR, and mark call as NOANSWER */
+			ast_set_flag(qe->chan->cdr, AST_CDR_FLAG_DONT_TOUCH);
+			ast_cdr_noanswer(qe->chan->cdr);
+			if (queue_debug)
+				ast_log(LOG_NOTICE, "%s: Nobody answered.\n", qe->chan->name);
+		}
 	} else { /* peer is valid */
 		/* Ah ha!  Someone answered within the desired timeframe.  Of course after this
 		   we will always return with -1 so that it is hung up properly after the
diff -ur asterisk-1.4.22/main/cdr.c asterisk-1.4.22.unanswered_queue/main/cdr.c
--- asterisk-1.4.22/main/cdr.c	2008-09-02 20:36:56.000000000 -0300
+++ asterisk-1.4.22.unanswered_queue/main/cdr.c	2008-10-14 13:14:19.000000000 -0200
@@ -1007,7 +1007,7 @@
 	struct ast_cdr_beitem *i;
 
 	for ( ; cdr ; cdr = cdr->next) {
-		if (!unanswered && cdr->disposition < AST_CDR_ANSWERED && (ast_strlen_zero(cdr->channel) || ast_strlen_zero(cdr->dstchannel))) {
+		if (!unanswered && !ast_test_flag(cdr, AST_CDR_FLAG_DONT_TOUCH) && cdr->disposition < AST_CDR_ANSWERED && (ast_strlen_zero(cdr->channel) || ast_strlen_zero(cdr->dstchannel))) {
 			/* For people, who don't want to see unanswered single-channel events */
 			ast_set_flag(cdr, AST_CDR_FLAG_POST_DISABLED);
 			continue;
